OHLCV candles
curl --request GET \
--url https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}/candles \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}/candles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}/candles"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}/candles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}/candles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"time": "2023-11-07T05:31:56Z",
"open": "<string>",
"high": "<string>",
"low": "<string>",
"close": "<string>",
"volume": "<string>"
}
]
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}OrderBook Markets
OHLCV candles
GET
/
v1
/
orderbook
/
markets
/
{marketSymbol}
/
candles
OHLCV candles
curl --request GET \
--url https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}/candles \
--header 'apiKey: <api-key>' \
--header 'orgId: <api-key>'const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}/candles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}/candles"
headers = {
"apiKey": "<api-key>",
"orgId": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}/candles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
req.Header.Add("orgId", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {apiKey: '<api-key>', orgId: '<api-key>'}};
fetch('https://api.pro.xentfi.com/v1/orderbook/markets/{marketSymbol}/candles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"time": "2023-11-07T05:31:56Z",
"open": "<string>",
"high": "<string>",
"low": "<string>",
"close": "<string>",
"volume": "<string>"
}
]
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Wallet not found",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>"
}
}Path Parameters
Query Parameters
Available options:
1m, 5m, 15m, 1h, 4h, 1d Required range:
x <= 500Response
Candles, oldest first
Show child attributes
Show child attributes
⌘I

